de.esprit.netsuite.launch

## Class OptionServer

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.clp.CommandLineOption<ServerHost>
    - - de.esprit.netsuite.launch.OptionServer

- All Implemented Interfaces:
    Dumpable

      public class OptionServer
      extends CommandLineOption<ServerHost>

  This option is mandatory to a client in order to know to which server it should connect to.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OPTION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerHost` | `getValue()` Returns the parsed value of this option.
    `protected void` | `parseValue(java.lang.String value)` Parses and stores the given value from the command-line to this option.

    - ### Methods inherited from class de.esprit.common.clp.CommandLineOption

      `checkValue, equals, getArgumentName, getDefaultValue, getEnvVariableName, getEnvVariableValue, getHelpText, getOption, getOptionAndArgument, getStringValue, hasArgument, hashCode, isMandatory, isPrintHelp, isPrintSyntax, isSecret, isValueTakenFromEnvVariable, parseDefaultValue, parseValue, setDefaultValue, setEnvVariableName, setFound, setHelpText, setMandatory, setPrintHelp, setPrintSyntax, setSecret, setStringValue, toDumpString, toString, wasFound`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPTION_NAME

          public static final java.lang.String OPTION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OptionServer

          public OptionServer()

  - ### Method Detail

    - #### getValue

          public ServerHost getValue()

      Description copied from class: `CommandLineOption`
      Returns the parsed value of this option.
      Specified by:
        `getValue` in class `CommandLineOption<ServerHost>`

    - #### parseValue

          protected void parseValue(java.lang.String value)
                             throws java.lang.Exception

      Description copied from class: `CommandLineOption`
      Parses and stores the given value from the command-line to this option. Subclasses perform any type conversion if necessary.
      Specified by:
        `parseValue` in class `CommandLineOption<ServerHost>`
      Throws:
        `java.lang.Exception`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.